package br.usp.nds.remote.servico;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class LoginServlet extends HttpServlet {

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		req.getRequestDispatcher("login.jsp").forward(req, resp);
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		String username = req.getParameter("j_username");
		String password = req.getParameter("j_password");
		System.out.println(username + "_" + password);
		try {
			req.login(username, password);
		} catch (ServletException e) {
			if ("Login failed".equals(e.getMessage())) {
				req.setAttribute("erro", "true");
				req.getRequestDispatcher("login.jsp").forward(req, resp);
				return;
			} else {
				throw e;
			}
		}
		System.out.println("principal = " + req.getUserPrincipal().getName());
		System.out.println("administrador = " + req.isUserInRole("administrador"));
		System.out.println("cliente = " + req.isUserInRole("cliente"));
		req.getRequestDispatcher("monitoramento.html").forward(req, resp);
	}
}
