package br.usp.nds.remote.servico;

import javax.websocket.CloseReason;
import javax.websocket.OnClose;
import javax.websocket.OnMessage;
import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.ServerEndpoint;

@ServerEndpoint("/websocket")
public class WebSocket {

    @OnOpen
    public void onOpen(Session session) {
    }	
 
    @OnMessage
    public void onMessage(String message, Session session) {
        if (message.startsWith("tela!@#")) {
        	WebSocketManager.getInstance().adicionar(session, message.substring(7));
        }
    }
 
    @OnClose
    public void onClose(Session session, CloseReason closeReason) {
    	WebSocketManager.getInstance().excluir(session);
    }
}
